Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Macros | Typedefs | Enumerations
unichar.h File Reference
`#include <memory.h>`
`#include <string.h>`

Go to the source code of this file.

## Classes

class | UNICHAR

## Macros

#define | UNICHAR_LEN 30

## Typedefs

typedef int | UNICHAR_ID

## Enumerations

enum | StrongScriptDirection { DIR_NEUTRAL = 0, DIR_LEFT_TO_RIGHT = 1, DIR_RIGHT_TO_LEFT = 2, DIR_MIX = 3 }

## Macro Definition Documentation

#define UNICHAR_LEN 30

Definition at line 28 of file unichar.h.

## Typedef Documentation

typedef int UNICHAR_ID

Definition at line 31 of file unichar.h.

## Enumeration Type Documentation

enum StrongScriptDirection

Enumerator:

  DIR_NEUTRAL |
  DIR_LEFT_TO_RIGHT |
  DIR_RIGHT_TO_LEFT |
  DIR_MIX |

Definition at line 38 of file unichar.h.

{
DIR_NEUTRAL = 0, // Text contains only neutral characters.
DIR_LEFT_TO_RIGHT = 1, // Text contains no Right-to-Left characters.
DIR_RIGHT_TO_LEFT = 2, // Text contains no Left-to-Right characters.
DIR_MIX = 3, // Text contains a mixture of left-to-right
// and right-to-left characters.
};